import java.util.Hashtable;
import java.util.Vector;
import java.util.Enumeration;

public class testHT
{
	public static void main(String[] arg)
	{
		Vector v = new Vector();
		v.add("v1");
		v.add("v2");
		v.add("v3");
		
		Hashtable ht = new Hashtable();
		ht.put("cluster 1", v);
		ht.put("cluster 2", v);
		ht.put("cluster 3", v);
		
		Vector vec = (Vector)ht.get("cluster 2");
		System.out.println("vect = "+ vec);
		for(Enumeration e=vec.elements();e.hasMoreElements();)
			System.out.println(e.nextElement());
	}
}